local player = ...;
local t = Def.ActorFrame{};

for i = 0, 1 do --count from 0 to 1
t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(addy,-118/2;addx,-118/2); --Shift the squares back to the center
	LoadActor(THEME:GetPathB("", "squares"))..{
	InitCommand=cmd(y,118*i;)
	}
	
};
end
	
for i = 0, 1 do
t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(addy,-118/2;addx,-118/2);
	LoadActor(THEME:GetPathB("", "squares"))..{
	InitCommand=cmd(addx,118;y,118*i;)
	}
	
};
end
		
t[#t+1] = Def.ActorFrame{
	InitCommand=cmd(addy,-118/2;addx,-118/2);
	LoadActor(THEME:GetPathB("", "squares"))..{
	InitCommand=cmd(addx,118/2;addy,118/2);            
	};
};

local marvelouses;
local perfects;
local greats;
local goods;
local bads;
local misses;
local combo;
local score;

if _G.themeDebug == false then
	marvelouses = STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_W1")+
		STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_CheckpointHit");

	perfects = STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_W2");
	greats = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_W3");
	goods = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_W4");
	bads = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_W5");
	misses = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_Miss")+
		STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetTapNoteScores("TapNoteScore_CheckpointMiss");
	combo = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):MaxCombo();
	score = 	STATSMAN:GetCurStageStats():GetPlayerStageStats(player):GetScore();
else
	marvelouses=6;
	perfects=5;
	greats=4;
	goods=3;
	bads=2;
	misses=1;
	combo=573;
	score=9999;
end;

t[#t+1] = Def.ActorFrame{
	LoadFont("Common Label")..{
		InitCommand=cmd(addx,-118/2;addy,-118/2);
		OnCommand=cmd(settext,marvelouses;diffuse,Color("Yellow"));
	
	};
	LoadFont("Common Normal")..{
		Text="Marvelous";
		InitCommand=cmd(addx,-118/2;addy,-118/2);
		OnCommand=cmd(addy,20;zoom,.5;diffuse,Color("Yellow"));
	
	};
	
	LoadFont("Common Label")..{
		InitCommand=cmd(addx,118/2;addy,-118/2);
		OnCommand=cmd(settext,perfects;diffuse,Color("HoloOrange"));
	
	};
	LoadFont("Common Normal")..{
		Text="Perfect";
		InitCommand=cmd(addx,118/2;addy,-118/2);
		OnCommand=cmd(addy,20;zoom,.5;diffuse,Color("HoloOrange"));
	
	};
	
	LoadFont("Common Label")..{
		InitCommand=cmd(addx,-118/2;addy,118/2);
		OnCommand=cmd(settext,greats;diffuse,Color("Green"));
	};
	LoadFont("Common Normal")..{
		Text="Great";
		InitCommand=cmd(addx,-118/2;addy,118/2);
		OnCommand=cmd(zoom,.5;addy,20;diffuse,Color("Green"));
	
	};
	
	LoadFont("Common Label")..{
		InitCommand=cmd(addx,118/2;addy,118/2);
		OnCommand=cmd(settext,goods;diffuse,Color("HoloBlue"));
	
	};
	LoadFont("Common Normal")..{
		Text="Good";
		InitCommand=cmd(addx,118/2;addy,118/2);
		OnCommand=cmd(zoom,.5;addy,20;diffuse,Color("HoloBlue"));
	};
	
	LoadFont("Common Label")..{
		OnCommand=cmd(settext,combo;diffuse,color("#9900ff"));
	};
	LoadFont("Common Normal")..{
		Text="Combo";
		InitCommand=cmd(zoom,.5;addy,20;diffuse,color("#9900ff"));
	};
}

return t;